﻿//标签事件监听
$(function () {
    //代码输入框
    $("[name='code']").focus(function () {
        var value = this.value;
        this.number = value;
        this.value = "";
        this.type = "number";
    });
    $("[name='code']").change(function () {
        var value = this.value;
        this.number = value;
        var size = this.size != "" ? this.size : "6";
        if (this.number < Math.pow(10, size)) {
            var zero = "";
            for (var i = 0; i < size - value.length; i++) {
                zero += "0";
            }
            this.number = zero + value;
        }
        this.type = "text";
    });
    $("[name='code']").blur(function () {
        var value = this.number;
        this.value = value;
        this.type = "text";
    });

    //下拉选择框
    $("[class='select'] span,[class='select'] b").click(function () {
        var ul = $(this).parent().children("ul:first");
        if (ul.css("display") == "none") {
            ul.show();
        }
        else {
            ul.hide();
        }
    });
    $("[class='select'] li").click(function () {
        var li = $(this);
        li.parent().parent().children("span:first").html(li.html());
        li.parent().hide();
    });

    //切换开关
    $("[class='switch']").click(function () {
        var check = this.getElementsByTagName("label")[0];
        if (check.className == "checked") {
            check.className = "";
        }
        else {
            check.className = "checked";
        }
    });

    //标签选择
    $("[class='label_up'] td,[class='label_down'] td").click(function () {
        var td = $(this).parent().parent().children("tr").children("td");
        td.attr("class", "");
        this.className = "label_select";
    });

    //页面初始化
    SetPageSize();
});

//设置页面尺寸
function SetPageSize() {
    var header_height = $("[class='header']:eq(0)").height();
    if (header_height == null) header_height = 0;

    var footer_height = $("[class='footer']:eq(0)").height();
    if (footer_height == null) footer_height = 0;

    $("[class='label_up']:eq(0)").css("top", header_height + "px");
    var label_up_height = $("[class='label_up']:eq(0)").height();
    if (label_up_height == null) label_up_height = 0;

    $("[class='label_down']:eq(0)").css("bottom", footer_height + "px");
    var label_down_height = $("[class='label_down']:eq(0)").height();
    if (label_down_height == null) label_down_height = 0;

    var content_top = header_height + label_up_height;
    var content_bottom = footer_height + label_down_height;

    $("[class='content']:eq(0)").css("top", content_top + "px");
    $("[class='content']:eq(0)").css("bottom", content_bottom + "px");
}

//页面切换
var page_curr = 1;
function ShowPage(n) {
    if (page_curr == n) return;

    if (n > page_curr) {
        $("[class='page']:eq(" + (page_curr - 1) + ")").css("left", "0px");
        $("[class='page']:eq(" + (page_curr - 1) + ")").animate({ left: "-50%" }, "slow", function () {
            $("[class='page']:eq(" + (page_curr - 1) + ")").hide();
            page_curr = n;
        });

        $("[class='page']:eq(" + (n - 1) + ")").css("left", "50%");
        $("[class='page']:eq(" + (n - 1) + ")").show();
        $("[class='page']:eq(" + (n - 1) + ")").animate({ left: "0px" }, "slow", function () {

        });
    }
    else {
        $("[class='page']:eq(" + (page_curr - 1) + ")").css("left", "0px");
        $("[class='page']:eq(" + (page_curr - 1) + ")").animate({ left: "50%" }, "slow", function () {
            $("[class='page']:eq(" + (page_curr - 1) + ")").hide();
            page_curr = n;
        });

        $("[class='page']:eq(" + (n - 1) + ")").css("left", "-50%");
        $("[class='page']:eq(" + (n - 1) + ")").show();
        $("[class='page']:eq(" + (n - 1) + ")").animate({ left: "0px" }, "slow", function () {

        });
    }

    $("[class='widehead'] div").hide();
    for (var i = 0; i < $("[class='widehead']").length; i++) {
        $("[class='widehead']:eq(" + i + ") div:eq(" + (n - 1) + ")").fadeIn("slow");
    }

    $("[class='narrowhead'] div").hide();
    for (var i = 0; i < $("[class='narrowhead']").length; i++) {
        $("[class='narrowhead']:eq(" + i + ") div:eq(" + (n - 1) + ")").fadeIn("slow");
    }
}

//消息弹框
seajs.config({ alias: { "jquery": "../jspages/jquery-min.js"} });
function ShowDialog(HTML, OkFun) {
    seajs.use(['jquery', 'dialog'], function ($, dialog) {
        var d = dialog({
            title: '消息',
            content: HTML,
            okValue: '确定',
            align: $(this).data('align'),
            fixed: true,
            quickClose: true,
            ok: function () {
                if (typeof (OkFun) == "function") {
                    OkFun();
                }
            },
            cancelValue: '取消',
            cancel: function () {
            }
        });
        d.show();
    });
}

//获取表单HTML
function GetFormHtml(Arr) {
    var HTML = '';
    HTML += '<table cellpadding="0" cellspacing="0" border="0" style="font-size:18px;">';
    HTML += '<tr>';
    HTML += '<td>操作类别：</td>';
    HTML += '<td>' + $("[class='topic']:eq(0)").html() + '</td>';
    HTML += '</tr>';
    for (var i = 0; i < Arr.length; i++) {
        var name = $("#" + Arr[i]).parent().parent().children("td:first").html();
        var info = $("#" + Arr[i]).val();
        if ($("#" + Arr[i]).get(0).tagName == "DIV") {
            info = $("#" + Arr[i] + " span:eq(0)").html();
        }
        HTML += '<tr>';
        HTML += '<td>' + name + '</td>';
        HTML += '<td>' + info + '</td>';
        HTML += '</tr>';
    }
    HTML += '</table>';
    return HTML;
}

//清除表单信息
function ClearForm() {
    $("[class='form'] [type='text']").val("");
    $("[class='form'] [type='number']").val("");
}

//显示正在加载
function ShowLoading(txt) {
    if ($("[class='loading']").length == 0) {
        var HTML = '';
        HTML += '<div class="loading">';
        HTML += '<table cellpadding="0" cellspacing="0" border="0">';
        HTML += '<tr>';
        HTML += '<td>';
        HTML += '<table cellpadding="0" cellspacing="0" border="0">';
        HTML += '<tr>';
        HTML += '<td>';
        HTML += '<img src="../images/loading.gif" />';
        HTML += '</td>';
        HTML += '<td>';
        HTML += '<div>';
        HTML += '</div>';
        HTML += '</td>';
        HTML += '</tr>';
        HTML += '</table>';
        HTML += '</td>';
        HTML += '</tr>';
        HTML += '</table>';
        HTML += '</div>';
        $(document.body).append(HTML);
    }

    if (txt == undefined) {
        $("[class='loading']:eq(0) div:eq(0)").html("Loading...");
    }
    else {
        $("[class='loading']:eq(0) div:eq(0)").html(txt);
    }

    $("[class='loading']:eq(0)").show();
}

//隐藏正在加载
function HideLoading() {
    $("[class='loading']:eq(0)").hide();
    $("[class='loading']:eq(0) div:eq(0)").html("");
}

//等待正在加载
function WaitLoading(Fun) {
    setTimeout(function () {
        if ($("[class='loading']:eq(0)").css("display") != "none") {
            HideLoading();
            if (typeof (Fun) == "function") {
                Fun();
            }
        }
    }, 10000);
}